LogoUnreal AI
API Playground/v1 API Reference/Images/Generations

Create images

Creates an image given a prompt

POST
/v1/images/generations

Image generation request parameters

promptstring

Text description of the desired image(s)

model?string

Model to use for image generation

n?number

Number of images to generate

Default1
size?string

Size of the generated images

Default"1024x1024"
Value in"256x256" | "512x512" | "1024x1024" | "1024x1792" | "1792x1024"
response_format?string

Format in which the generated images are returned

Default"url"
Value in"url" | "b64_json"
user?string

A unique identifier for the end-user

Response Body

curl -X POST "https://openai.ideomind.org/v1/images/generations" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A cute baby sea otter"
  }'
{
  "created": 0,
  "data": [
    {
      "url": "string",
      "b64_json": "string",
      "revised_prompt": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string",
  "message": "string"
}